Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76911 - Installer fails to load modules when prameters passed
Summary: Installer fails to load modules when prameters passed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-29 10:29 UTC by Bryn Jones
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-24 18:16:32 UTC


Attachments (Terms of Use)

Description Bryn Jones 2002-10-29 10:29:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020913
Debian/1.1-1

Description of problem:
when trying to pass io= parameters to the ne module, the installer trys to mount
the already mounted driver disk, and fails with mountpoint in use. RH8.0 release
bootnet and drvnet.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot from bootnet floppy
2.NFS install
3.F2 - load additional drivers
4.insert drvnet floppy
5.select NE1000/NE2000 (ne.o) driver, check additional parameters box
6.specifiy a value for io= and irq=
7.the installer will ask you to insert the driver floppy, hit return

Actual Results:  Installer fails to mount the already mounted drvnet floppy with
the message:

Failed to mount driver disk: Device or resource busy.

Expected Results:  load and fail to insert module due to incorrect io= setting
;), after a couple of goes, get the right io= parameter setting and continue
install.

Additional info:

Comment 1 Jeremy Katz 2002-12-16 17:18:00 UTC
This works in our current codebase

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 3 Jeremy Katz 2006-04-24 18:16:32 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.